Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class PostulanteEspecialidadDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function ExisteDocumentoFalso(idConcursoPostulante As Integer) As Boolean
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery("Select 1 from PostulanteEspecialidad where idConcursoPostulante=@idConcursoPostulante and falso=1")
        QueryObject.AddParameter("@idConcursoPostulante", SqlDbType.Int, idConcursoPostulante)
        Return CBool(QueryObject.ExecuteScalar())
    End Function
#End Region
End Class
